Bug 584430 - [abrt] crash in hotssh-0.2.7-1.fc12: sshwindow.py:945:__on_check_io:KeyError: 'chris.eveleigh@support.planningportal.gov.uk'
Summary: [abrt] crash in hotssh-0.2.7-1.fc12: sshwindow.py:945:__on_check_io:KeyError:...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: hotssh
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:8bf84162
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-21 14:59 UTC by cje
Modified: 2010-12-03 15:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-03 15:36:58 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (540 bytes, text/plain)
2010-04-21 14:59 UTC, cje
no flags Details

Description cje 2010-04-21 14:59:45 UTC
abrt 1.0.8 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/hotssh
component: hotssh
executable: /usr/bin/hotssh
kernel: 2.6.32.11-99.fc12.i686.PAE
package: hotssh-0.2.7-1.fc12
reason: sshwindow.py:945:__on_check_io:KeyError: 'chris.eveleigh@support.planningportal.gov.uk'
release: Fedora release 12 (Constantine)

backtrace
-----
sshwindow.py:945:__on_check_io:KeyError: 'a.b@example.com'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/hotssh/sshwindow.py", line 945, in __on_check_io
    self.__check_status_output[userhost] += os.read(source.fileno(), 8192)
KeyError: 'a.b@example.com'

Local variables in innermost frame:
source: <open file '<fdopen>', mode 'rb' at 0xb72b5f20>
self: <HostConnectionMonitor object at 0xb730e0a4 (hotssh+sshwindow+HostConnectionMonitor at 0x887e900)>
have_read: 1
condition: 1
userhost: 'a.b@example.com'

comment
-----
i think this might be happening when i close the last tab.  it used to offer me a 'close' and 'reconnect' button on the last one (so long as i closed the tabs in reverse order, leaving the 'original' tab til last) but now ... i can't remember.  i think i get the buttons but i click close and it just takes the buttons away and i have to close the window anyway - which, i think, might be when this crash happens.

the next time i run hotssh it asks me if i want to restore (or reconnect?) the old session.

Comment 1 cje 2010-04-21 14:59:48 UTC
Created attachment 408098 [details]
File: backtrace

Comment 2 Raffael Luthiger 2010-05-21 23:48:01 UTC
Package: hotssh-0.2.7-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. I was working within a ssh session and there was a shell script running on the server. This script did not write any output to the shell. After about a minute this crash happened but the program was running without any problems. It looks like this crash is only in the background.
2.
3.

Comment 3 Raffael Luthiger 2010-07-06 15:35:18 UTC
Package: hotssh-0.2.7-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. I was logged into two servers at the same time when this error appeared.
2. Nothing really special happened within those session. One was idle and in the other one a scp command was running.
3.

Comment 4 Raffael Luthiger 2010-07-06 16:00:22 UTC
Package: hotssh-0.2.7-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. I had only one connection open and in there I was writing a command.

Comment 5 David L. Carson 2010-07-22 14:19:23 UTC
Package: hotssh-0.2.7-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.Open up multiple ssh tabs 
2.
3.

Comment 6 David L. Carson 2010-09-27 17:46:02 UTC
Package: hotssh-0.2.7-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.Connect to remote via ssh in secure tunnel
2.
3.


Comment
-----
Opened connection to remote host

Comment 7 Bug Zapper 2010-11-03 16:38:46 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 David L. Carson 2010-11-17 15:05:23 UTC
Package: hotssh-0.2.7-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.Connected to ssh tunnel 
2.
3.


Comment
-----
nothing

Comment 9 Bug Zapper 2010-12-03 15:36:58 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 10 Raffael Luthiger 2010-12-03 15:48:08 UTC
I can not change the status but I can reproduce this bug in Fedora 13.

Please reopen this bug again.


Note You need to log in before you can comment on or make changes to this bug.